%define pkg_name        Net-LibIDN
%define pkg_version     0.09
%define rpm_pkg_version 0.09
%define rpm_pkg_release 1.n0i.1

Summary:       Perl bindings for GNU LibIDN
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TH/THOR/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: libidn-devel
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module provides Perl bindings for GNU Libidn.

Libidn is a C library for handling Internationalized Domain Names
according to IDNA (RFC 3490).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Artistic Changes README


%changelog
* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 0.09-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.09
